    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.rmi.server.RMIFailureHandler

public interface RMIFailureHandler

An `RMIFailureHandler` can be registered via the `RMISocketFactory.setFailureHandler` call. The `failure` method of the handler is invoked when the RMI runtime is unable to create a `ServerSocket` to listen for incoming calls. The `failure` method returns a boolean indicating whether the runtime should attempt to re-create the `ServerSocket`.

##

failure(Exception)
  The `failure` callback is invoked when the RMI runtime is unable to create a `ServerSocket` via the `RMISocketFactory`.

##

failure

     public abstract boolean failure(Exception ex)

  The `failure` callback is invoked when the RMI runtime is unable to create a `ServerSocket` via the `RMISocketFactory`. An `RMIFailureHandler` is registered via a call to `RMISocketFacotry.setFailureHandler`. If no failure handler is installed, the default behavior is to attempt to re-create the ServerSocket.

  Parameters:
    ex - the exception that occurred during `ServerSocket` creation
  Returns:
    if true, the RMI runtime attempts to retry `ServerSocket` creation

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.